test: _BCB struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _BCB Struct Reference

`#include <cc.h>`

List of all members.

## Public Attributes

CSHORT | NodeTypeCode
CSHORT | NodeIsInZone
ULONG | ByteLength
LARGE_INTEGER | FileOffset
LIST_ENTRY | BcbLinks
LARGE_INTEGER | BeyondLastByte
LARGE_INTEGER | OldestLsn
LARGE_INTEGER | NewestLsn
PVACB | Vacb
ULONG | PinCount
ERESOURCE | Resource
PSHARED_CACHE_MAP | SharedCacheMap
PVOID | BaseAddress
BOOLEAN | Dirty

## Member Data Documentation

PVOID _BCB::BaseAddress

| Definition at line 1329 of file cc.h. Referenced by CcDeleteSharedCacheMap(), and CcPinFileData().

LIST_ENTRY _BCB::BcbLinks

| Definition at line 1261 of file cc.h. Referenced by CcAcquireByteRangeForWrite(), CcAllocateInitializeBcb(), CcCalculateVacbLevelLockCount(), CcDeleteSharedCacheMap(), CcFindBcb(), CcGetDirtyPages(), CcGetFlushedValidData(), and CcGetLsnForFileObject().

LARGE_INTEGER _BCB::BeyondLastByte

| Definition at line 1267 of file cc.h. Referenced by CcAcquireByteRangeForWrite(), CcAllocateInitializeBcb(), CcFindBcb(), and CcPinFileData().

ULONG _BCB::ByteLength

| Definition at line 1254 of file cc.h. Referenced by CcAcquireByteRangeForWrite(), CcAllocateInitializeBcb(), CcAllocateObcb(), CcDeleteSharedCacheMap(), CcGetDirtyPages(), and CcPinFileData().

BOOLEAN _BCB::Dirty

| Definition at line 1335 of file cc.h. Referenced by CcAcquireByteRangeForWrite(), CcDeleteSharedCacheMap(), CcGetDirtyPages(), CcGetFlushedValidData(), and CcGetLsnForFileObject().

LARGE_INTEGER _BCB::FileOffset

| Definition at line 1255 of file cc.h. Referenced by CcAcquireByteRangeForWrite(), CcAllocateInitializeBcb(), CcAllocateObcb(), CcDeleteSharedCacheMap(), CcFindBcb(), CcGetDirtyPages(), CcGetFlushedValidData(), and CcPinFileData().

LARGE_INTEGER _BCB::NewestLsn

| Definition at line 1280 of file cc.h. Referenced by CcGetDirtyPages(), and CcGetLsnForFileObject().

CSHORT _BCB::NodeIsInZone

| Definition at line 1248 of file cc.h. Referenced by CcAllocateInitializeBcb().

CSHORT _BCB::NodeTypeCode

| Definition at line 1247 of file cc.h. Referenced by CcAcquireByteRangeForWrite(), CcAllocateInitializeBcb(), CcCalculateVacbLevelLockCount(), CcDeleteSharedCacheMap(), CcFindBcb(), CcGetDirtyPages(), CcGetFlushedValidData(), and CcGetLsnForFileObject().

LARGE_INTEGER _BCB::OldestLsn

| Definition at line 1273 of file cc.h. Referenced by CcGetDirtyPages(), and CcGetLsnForFileObject().

ULONG _BCB::PinCount

| Definition at line 1304 of file cc.h. Referenced by CcAcquireByteRangeForWrite(), CcAllocateInitializeBcb(), CcDeleteSharedCacheMap(), CcGetDirtyPages(), and CcPinFileData().

ERESOURCE _BCB::Resource

| Definition at line 1315 of file cc.h. Referenced by CcAcquireByteRangeForWrite(), CcAllocateInitializeBcb(), and CcPinFileData().

PSHARED_CACHE_MAP _BCB::SharedCacheMap

| Definition at line 1321 of file cc.h. Referenced by CcAllocateInitializeBcb().

PVACB _BCB::Vacb

| Definition at line 1286 of file cc.h. Referenced by CcDeleteSharedCacheMap(), and CcPinFileData().

The documentation for this struct was generated from the following file:

- cc.h